/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { PrismaClient } from "@prisma/client";
import { serve } from "./server/serve.js";
import type { App } from "./interfaces/app.js";

const database = new PrismaClient();
const app: App = {
  cacheUpdated: new Date(),
  database:     database,
  sanctions:    await database.sanctions.findMany(),
};

await serve(app);
