/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * Turn a platform name into a font-awesome icon.
 */
const platformIcons: Record<string, string> = {
  fediverse: "<i class=\"fa-brands fa-mastodon\"></i>",
  forum:     "<i class=\"fa-brands fa-discourse\"></i>",
  gitea:     "<i class=\"fa-solid fa-code\"></i>",
  irc:       "<i class=\"fa-solid fa-hashtag\"></i>",
};

const actionIcons: Record<string, string> = {
  ban:     "<i class=\"fa-solid fa-ban\"></i>",
  kick:    "<i class=\"fa-solid fa-shoe-prints\"></i>",
  mute:    "<i class=\"fa-solid fa-head-side-cough-slash\"></i>",
  revoked: "<i class=\"fa-solid fa-undo\"></i>",
  suspend: "<i class=\"fa-solid fa-broom\"></i>",
  warn:    "<i class=\"fa-solid fa-exclamation-triangle\"></i>",
};

export { platformIcons, actionIcons };
